org.jbpm.services.cdi.impl

## Class UserTaskServiceCDIImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.UserTaskServiceImpl
  - - org.jbpm.services.cdi.impl.UserTaskServiceCDIImpl

- All Implemented Interfaces:
    VariablesAware, UserTaskService

      @ApplicationScoped
      public class UserTaskServiceCDIImpl
      extends UserTaskServiceImpl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTaskServiceCDIImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.kie.internal.task.api.InternalTaskService` | `getInternalTaskService()`
    `void` | `setDataService(RuntimeDataService dataService)`
    `void` | `setDeploymentService(DeploymentService deploymentService)`
    `void` | `setNonProcessScopedTaskService(org.kie.internal.task.api.InternalTaskService nonProcessScopedTaskService)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.UserTaskServiceImpl

      `activate, activate, addAttachment, addAttachment, addComment, addComment, claim, claim, complete, complete, completeAutoProgress, completeAutoProgress, delegate, delegate, deleteAttachment, deleteAttachment, deleteComment, deleteComment, deleteContent, deleteContent, disposeRuntimeEngine, execute, execute, exit, exit, fail, fail, forward, forward, getAttachmentById, getAttachmentById, getAttachmentContentById, getAttachmentContentById, getAttachmentsByTaskId, getAttachmentsByTaskId, getCommentById, getCommentById, getCommentsByTaskId, getCommentsByTaskId, getRuntimeManager, getRuntimeManager, getTask, getTask, getTaskInputContentByTaskId, getTaskInputContentByTaskId, getTaskOutputContentByTaskId, getTaskOutputContentByTaskId, nominate, nominate, process, release, release, resume, resume, saveContent, saveContent, saveContent, saveContentFromUser, setDescription, setDescription, setExpirationDate, setExpirationDate, setName, setName, setPriority, setPriority, setSkipable, setSkipable, skip, skip, start, start, stop, stop, suspend, suspend, updateTask, updateTask, validateTask`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskServiceCDIImpl

          public UserTaskServiceCDIImpl()

  - ### Method Detail

    - #### setDeploymentService

          @Inject
          public void setDeploymentService(DeploymentService deploymentService)

      Overrides:
        `setDeploymentService` in class `UserTaskServiceImpl`

    - #### setDataService

          @Inject
          public void setDataService(RuntimeDataService dataService)

      Overrides:
        `setDataService` in class `UserTaskServiceImpl`

    - #### setNonProcessScopedTaskService

          @Inject
          public void setNonProcessScopedTaskService(org.kie.internal.task.api.InternalTaskService nonProcessScopedTaskService)

      Overrides:
        `setNonProcessScopedTaskService` in class `UserTaskServiceImpl`

    - #### getInternalTaskService

          protected org.kie.internal.task.api.InternalTaskService getInternalTaskService()

      Overrides:
        `getInternalTaskService` in class `UserTaskServiceImpl`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.